org.eclipse.viatra.query.runtime.localsearch.planner

## Class LocalSearchPlanner

- java.lang.Object
- - org.eclipse.viatra.query.runtime.localsearch.planner.LocalSearchPlanner

- All Implemented Interfaces:
    ILocalSearchPlanner

      public class LocalSearchPlanner
      extends java.lang.Object
      implements ILocalSearchPlanner

  No Reference:
    This class is not intended to be referenced by clients.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalSearchPlanner(IQueryBackendContext backendContext, IOperationCompiler compiler, org.apache.log4j.Logger logger, LocalSearchHints configuration, ResultProviderRequestor resultRequestor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<SearchPlanForBody>` | `plan(PQuery querySpec, java.util.Set<PParameter> boundParameters)` Creates executable plans for the provided query.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalSearchPlanner

          public LocalSearchPlanner(IQueryBackendContext backendContext,
                                    IOperationCompiler compiler,
                                    org.apache.log4j.Logger logger,
                                    LocalSearchHints configuration,
                                    ResultProviderRequestor resultRequestor)

      Parameters:
        `resultRequestor` -
      Since:
        1.7

  - ### Method Detail

    - #### plan

          public java.util.Collection<SearchPlanForBody> plan(PQuery querySpec,
                                                              java.util.Set<PParameter> boundParameters)

      Creates executable plans for the provided query. It is required to call one of the `initializePlanner()` methods before calling this method.
      Specified by:
        `plan` in interface `ILocalSearchPlanner`
      Parameters:
        `querySpec` -
        `boundParameters` - a set of bound parameters
      Returns:
        a mapping between ISearchOperation list and a mapping, that holds a PVariable-Integer mapping for the list of ISearchOperations